Subject: bug#61326: [DRAFT PATCH] Work around zip's filename extension limitation (was: Adding --no-add-suffix to zip patch)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Feb 2023 20:02:03 +0200

> From: Ruijie Yu <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Thu, 09 Feb 2023 00:48:15 +0800
> 
> Here is a preliminary patch that contains some "REVIEW" comments where I
> need inputs.

Thanks, but could you perhaps post diffs disregarding the whitespace
changes?  That would make it easier to review the real changes.

> -(defun archive-*-write-file-member (archive descr command)
> +;; REVIEW: is there a better name than AVOID-EXTLESS-P?
> +(defun archive-*-write-file-member (archive descr command
> +                                            &optional avoid-extless-p)

ensure-extension?

> +    ;; REVIEW: the diff here is because the previous code had TAB's
> +    ;; (while assuming each TAB is 4 spaces), and my Emacs replaced
> +    ;; them with spaces.  What is the status quo on this kind of diff?
> +    ;; I can remove them if we consider this change excessive and/or
> +    ;; intrusive.

TABs in Emacs are by default 8 columns, not 4.

It is OK to convert TABs to spaces when changing the code in Lisp, but
please do that only for the last commit, to make the review process
easier.  For all the draft versions, please use "git diff" options
that cause Git to ignore changes in whitespace.

Thanks.